## NAME

CURLOPT_HTTP_TRANSFER_DECODING - enable/disable HTTP transfer decoding

## SYNOPSIS

    #include <curl/curl.h>

    CURLcode curl_easy_setopt(CURL *handle, CURLOPT_HTTP_TRANSFER_DECODING,
                             long enabled);

## DESCRIPTION

Pass a long to tell libcurl how to act on transfer decoding. If set to zero, transfer decoding will be disabled, if set to 1 it is enabled (default). libcurl does chunked transfer decoding by default unless this option is set to zero.

## DEFAULT

1

## PROTOCOLS

HTTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.16.2

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_HTTP_CONTENT_DECODING, CURLOPT_ACCEPT_ENCODING

This HTML page was made with roffit.